<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number70</title>
</head>

<body>
	<h2> JavaScript Excercise</h2>
	
	<p> <b> No.70:</b> Write a JavaScript program to rotate the elements left of a given array of integers. </p>
	
	<p> <b> Solution :</b></p>
	<div style="border: 1px dashed black; padding: 20px; width: 425px; height: auto;">
		<input type="number" id="num" placeholder="Numbers of array`s elements!" style="width: 200px; margin-top: 5px;"><br>
	  <input type="button" onClick="generate()" name="gen" value="Generate!" style="margin-top: 5px;">
	  <pre id="demo"></pre>
	</div>
	
	<script>
	 function generate() {
		  var num = + document.getElementById('num').value;
		  var arr = [] ;
		  var rtt ;
		 if (num>0) {
			 for (i=0; i<num; i++) {
			  arr.push(prompt("Enter the element number " + (i+1)));
			  arr = arr.map(Number);
			 } for (s= arr.length; s>=0 ; s--) {
				 rtt += toString().arr[s];
				document.getElementById('demo').innerHTML=
					"The original array is: <br>" + arr.join(" ,") +
					"<br>And the rotated array is: <br>" + rtt.join(" ,");
			 } 
		 } else {
			 document.getElementById('demo').innerHTML=
				 "Number of elements must be positive";
		 }
	 }
	</script>
</body>
</html>
